PDA

View Full Version : Parch will update 1.0 to 1.2 but not 1.1 to 1.2



GenCode
06-05-2004, 12:07 AM
My .NET application 1.0 was created, then I made a 1.1, then a 1.2.

I created a patch for my users, the patch was made from 1.0 and upgrades the users to 1.2, my problem is that the 1.1 users can not use my patch, when they do they get the message

"The patch can not be installed by the Windows installer...the patch may update a different version..."

Well that explins it but is there any way I can make a patch that can update "all" previous versions and get them up-to-date to the current version?

(I used 1.0 1.1 1.2 to keep it simple, the version numbers are actually longer)